<?php

namespace App\Actions;

use LaravelViews\Actions\Action;
use LaravelViews\Views\View;
use LaravelViews\Actions\Confirmable;

class DeletePayment extends Action
{
    use Confirmable;
    /**
     * Any title you want to be displayed
     * @var String
     * */
    public $title;

    /**
     * This should be a valid Feather icon string
     * @var String
     */
    public $icon = "trash";

     /**
     * 
     */
    public function __construct(){
        parent::__construct();
        $this->title = __("common.viewDelete");
    }

    /**
     * Execute the action when the user clicked on the button
     *
     * @param $model Model object of the list where the user has clicked
     * @param $view Current view where the action was executed from
     */
    public function handle($model, View $view){
        if($model->inactive())
            $this->success(__("Success operation"));
            redirect()->route('/admin/view-payments');
    }

    public function getConfirmationMessage($item = null)
    {
        return __('¿Está seguro de continuar con este proceso?');
    }
} 